Bug 1411638 - HPE [RFE][OSP Director] Support both tenant network types - VLAN and VxLAN in OVS-DPDK networking
Summary: HPE [RFE][OSP Director] Support both tenant network types - VLAN and VxLAN in...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
high
high
Target Milestone: z2
: 12.0 (Pike)
Assignee: Yariv
QA Contact: Yariv
URL:
Whiteboard:
Depends On:
Blocks: 1389435 1402132
TreeView+ depends on / blocked
 
Reported: 2017-01-10 08:18 UTC by hrushi
Modified: 2018-04-29 06:40 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-05 21:51:56 UTC
Target Upstream Version:


Attachments (Terms of Use)
Neutron managed OVS-DPDK networking (77.44 KB, image/png)
2017-01-10 08:18 UTC, hrushi
no flags Details
ODL Managed Networking (67.55 KB, image/png)
2017-01-10 08:20 UTC, hrushi
no flags Details

Description hrushi 2017-01-10 08:18:06 UTC
Created attachment 1239009 [details]
Neutron managed OVS-DPDK networking

Description of problem:

NFV System hardware reference architecture has two pairs of NIC ports. 1 pair is dedicated for Mgmt, storage and pxe traffic. And, other pair is dedicated for guest VM traffic (both tenant traffic and fip traffic). We do want to allows VNF workload use either tenants network types - VxLAN network or provider VLANs. Secondly, we don't have additional NICs to configure External Network on separate interface. Both neutron and ODL managed networking needs this mixed tenant network type support over OVS-DPDK networking. The diagram illustrated in the attachment gives finer details or use case


Additional info:
See the attachment.

Comment 1 hrushi 2017-01-10 08:20:55 UTC
Created attachment 1239010 [details]
ODL Managed Networking

Comment 3 Franck Baudin 2017-02-16 11:15:22 UTC
We can also use Linux bonding interfaces for the management interfaces, shared with the compute node OpenStack API services, and dedicate the other interfaces to OVS-DPDK.


Note You need to log in before you can comment on or make changes to this bug.